Skip to main content
GET
/
app.rocksky.feed.search
Search for content in the feed
curl --request GET \
  --url https://api.rocksky.app/xrpc/app.rocksky.feed.search \
  --header 'Authorization: Bearer <token>'
{
  "hits": [
    {
      "id": "<string>",
      "title": "<string>",
      "artist": "<string>",
      "albumArtist": "<string>",
      "albumArt": "<string>",
      "uri": "<string>",
      "album": "<string>",
      "duration": 123,
      "trackNumber": 123,
      "discNumber": 123,
      "playCount": 1,
      "uniqueListeners": 1,
      "albumUri": "<string>",
      "artistUri": "<string>",
      "sha256": "<string>",
      "mbid": "<string>",
      "isrc": "<string>",
      "tags": [
        "<string>"
      ],
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ],
  "processingTimeMs": 123,
  "limit": 123,
  "offset": 123,
  "estimatedTotalHits": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.rocksky.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

query
string
required

The search query string

Response

OK

hits
object[]
processingTimeMs
integer
limit
integer
offset
integer
estimatedTotalHits
integer